Witamy

>> Pomoc dla użytkowników systemu Asix

www.asix.com.pl

AsLogger -

Rejestrator szybkozmiennych serii pomiarowych

Dok. Nr PLH11101

Wersja: 2021-12-08

UWAGA:

Niniejszy podręcznik do użytku zarówno z wersją klasyczną jak i wersją Evo systemu Asix.


Opis programu

1. Opis programu

Standardowe licencje Asixa pozwalają na ciągłą archiwizację danych z rozdzielczością do 100ms (w archiwach typu X).

W przypadku koniczności zbierania danych z większą częstotliwością można stosować dodatkowy moduł AsLogger. Idea działania AsLoggera opiera się na rejestracji w bazie SQL krótkotrwałych serii pomiarowych. Kompletne dane serii muszą być przygotowywane przez urządzenie pomiarowe i są następnie odczytywane przez drajwery komunikacyjne Asixa. Tryb szybkich serii pomiarowych Asloggera wspierany jest tylko przez wybrane drajwery zabezpieczeń elektrycznych.

Konieczny jest zakup licencji serwerowej z drajwerem do właściwego urządzenia.

Licencja AsLogger - Rejestratora szybkozmiennych serii pomiarowych zapewnia funkcjonalność służącą do rejestrowania, archiwizacji i analizy serii pomiarów, w których próbki pomiarów opatrywane są stemplem czasu z dokładnością do 1μs. Pomiary mogą być wykonywane przez autonomiczne urządzenia pomiarów / rejestracji posiadające łącze z komputerem PC. AsLogger wspomaga analizę eksperymentów pomiarowych charakteryzujących się zbieraniem serii o dużej rozdzielczości. Dane serii pomiarowych pobierane są z urządzenia rejestrującego, wstępnie przetwarzane i zapisywane w bazie danych SQL.

Przebiegi serii pomiarowych rejestrowane przez AsLoggera mogą być wyświetlane w postaci wykresów lub tabel przez program AsTrend, wchodzący w skład platformy Asix.Evo.

Analiza danych może odbywać się zarówno na tym samym komputerze, na którym odbywa się rejestracja, jak i na stanowiskach sieciowych. Dostęp do danych możliwy jest również z poziomu dowolnych programów posiadających interfejsy ODBC lub OLE DB/ADO.

AsLogger obsługuje pobieranie danych z serwera OPC, co pozwala obsłużyć dowolne urządzenie spełniające wymogi otwartych standardów wymiany danych. W aktualnej wersji AsLogger obsługuje rejestratory sprzętowe MUPASZ 2001G, MUPASZ 07, MUPASZ710 oraz urządzenia rodziny MultiMuz.

Jednym z zastosowań licencji AsLogger jest analiza działania zabezpieczeń elektrycznych - szybkozmiennych przebiegów czasowych pomiarów (prądów, napięć, mocy) oraz sygnałów dwustanowych w chwili zadziałania zabezpieczenia. Wewnętrzna pamięć zabezpieczeń elektrycznych jest zwykle niewielka i pozwala na przechowywanie najwyżej kilku - a najczęściej tylko jednej - ostatniej rejestracji. Analiza przebiegów czasowych wymaga podłączenia komputera wyposażonego w odpowiednie oprogramowanie narzędziowe i odczytania przebiegów z pamięci urządzenia. Jeżeli zabezpieczenie ponownie zadziała przed odczytaniem przebiegów, to są one bezpowrotnie tracone.

W przypadku stosowania zabezpieczeń różnych producentów konieczne jest posiadanie i znajomość kilku różnych programów narzędziowych (zwykle nie posiadających polskiej wersji językowej). AsLogger pozwala na stworzenie stanowiska automatycznego odczytu przebiegów czasowych zarejestrowanych przez zabezpieczenia elektryczne i archiwizacji w jednej bazie danych, udostępnianej przez sieć Ethernet dowolnej liczbie użytkowników.

Ponadto hierarchiczna organizacja danych (rozdzielnia - pole - rodzaj zabezpieczenia - konkretne urządzenie) znacząco ułatwia ich późniejsze przeszukiwanie i analizę. Wszystkie przebiegi czasowe, niezależnie od tego, z jakiego urządzenia pochodzą, dostępne są do analizy w tym samym - łatwym w obsłudze i polskojęzycznym - środowisku programowym.


Licencja

2. Licencja

Oferta na oprogramowanie AsLogger obejmuje:

  • Licencję AsLogger Serwer + OPC DA 2.0 + drajwer (Mupasz 2001G lub Mupasz07 lub MultiMuz lub Mupasz710) - umożliwiającą rejestrowanie i przeglądanie serii pomiarowych;

  • Licencję AsLogger Client – umożliwiającą przeglądanie przebiegów.

Program zabezpieczany jest kluczem HASP.


Instalacja oprogramowania

3. Instalacja oprogramowania

Przed instalacją programu AsLogger wymagana jest instalacja serwera SQL Microsoft (w tym bezpłatna wersja Express) oraz klucz HASP dla programu AsLogger.

W trakcie instalacji program wymaga podania języka, który zostanie użyty w trakcie instalacji oraz lokalizacji docelowej oprogramowania.


okno główne programu

4. Okno główne programu

Główne okno programu ’AsLogger - Menedżer’ zawiera menu, listę baz danych dostępnych na serwerze MSSQL wraz z zawartymi w nich obiektami oraz panel do wyświetlania zawartości obiektów.

Rysunek 1. Okno główne menedżera programu AsLogger.

Lista obiektów obejmuje:

- bazy danych serii pomiarowych,

- plany rejestracji,

- punkty pomiarowe,

- serie.

Pozostałe obiekty mają nazwy nadawane przez użytkownika podczas ich tworzenia.

Opis poszczególnych obiektów znajduje się w poniższej tabelce.

Tabela. Zestawienie obiektów wyświetlanych w oknie głównym programu AsLogger

Nr poziomu drzewa | Nazwa obiektu | Opis | Informacje wyświetlane w panelu obiektu
0 | <nazwa serwera SQL> | Nazwa serwera SQL, do którego podłączony jest użytkownik | Obiekt bazy danych serii pomiarowych
1 | <baza danych serii pomiarowych> | Baza serwera SQL utworzona przez moduł menedżera AsLogger; zawiera ona elementy potrzebne do przechowywania serii pomiarowych | Obiekt 'Plany rejestracji'
2 | <plan rejestracji> | Zbiór wszystkich informacji potrzebnych do rejestracji serii pomiarowych włącznie z informacjami o punktach pomiarowych | Obiekty: 'Punkty pomiarowe' i 'Serie'
3 | Punkty pomiarowe | Zestaw wszystkich utworzonych w planie rejestracji punktów pomiarowych | Lista punktów pomiarowych
3 | Serie | Zestaw wszystkich zarejestrowanych wg danego planu serii pomiarowych | Lista zarejestrowanych serii pomiarowych


Serwer MSSQL

4.1. Serwer MSSQL

Dane serii pomiarów przechowywane są w bazie danych zarządzanej przez serwer SQL Microsoft (mogą to być bezpłatne wersje Express).

Aby program AsLogger mógł wykonywać jakiekolwiek operacje, musi być podłączony do serwera MSSQL.


baza danych serii pomiarowych

4.2. Baza danych serii pomiarowych

Baza danych serii pomiarowych jest bazą danych serwera MSSQL utworzoną przez program AsLogger; zawiera ona elementy potrzebne do przechowywanie planów rejestracji serii pomiarowych i danych zarejestrowanych serii pomiarowych.

Polecenia służące do wykonywania operacji na bazach danych serii znajdują się w menu Baza serii:

• Nowa baza - powoduje wyświetlenie zapytania o nazwę nowej bazy i utworzenie na serwerze bazy o podanej nazwie;

• Odśwież widok - odświeżenie widoku wybranej bazy danych serii;

• Usuń bazę - powoduje usunięcie aktualnie wybranej bazy danych serii.


Plan rejestracji serii pomiarowych

4.3. Plan rejestracji serii pomiarowych

Plan rejestracji serii pomiarowych jest to zbiór wszystkich informacji potrzebnych do zarejestrowania serii pomiarowej.

Polecenia służące do wykonywania operacji na planach rejestracji znajdują się w menu Plan:

• Nowy plan, Edytuj plan, Usuń plan - służą odpowiednio do utworzenia, edytowania i usuwania nowego planu rejestracji;

• Stwórz kopię planu - umożliwia utworzenie nowego planu rejestracji, który zawiera wszystkie informacje z aktualnie wybranego planu rejestracji;

• Wykonaj plan - służy do rozpoczęcia rejestracji serii pomiarowej; wywołanie polecenia powoduje wyświetlenie okna dialogowego, w którym należy podać czas trwania rejestracji;

Jeżeli zostanie podany tak długi czas rejestracji, że baza danych osiągnie maksymalny (dopuszczalny dla danego serwera SQL Microsoft) rozmiar, to archiwizacja zostanie przerwana. Jeżeli baza zawiera już tyle danych, że rejestrowanie nowej serii powoduje przekroczenie maksymalnego rozmiaru bazy, to należy wtedy albo usunąć zarejestrowane serie albo utworzyć nową bazę serii wraz z nowym planem rejestracji serii i w tej bazie rejestrować serie pomiarowe.

Zarejestrowanie pierwszej serii pomiarowej powoduje zablokowanie możliwości dalszego modyfikowania planu rejestracji i jego składowych.

Polecenie Wykonaj jest dostępne tylko wtedy, gdy program korzysta z lokalnego serwera MSQL.

Po rozpoczęciu rejestracji serii pomiarowej można na bieżąco podglądać rejestrowane wartości. W tym celu należy znaleźć rejestrowaną serię na liście serii, z menu Seria wybrać polecenie Uruchom program do analizy serii - AsTrend. Wykres będzie automatycznie periodycznie odświeżany i pozycjonowany na ostatnio zarejestrowanych wartościach.

• Automatyczne uruchamianie – pozwala wyświetlić okno z informacją na temat aktualnego stanu automatycznego uruchamiania rejestracji planu.

Automatyczne uruchamianie rejestracji konfigurowane jest na poziomie drajwerów współpracujących z programem AsLogger. Parametryzacji drajwerów dokonuje się w programie Architekt.


Punkt pomiarowy

4.4. Punkt pomiarowy

Punktem pomiarowym nazywa się zbiór informacji potrzebnych do zarejestrowania pomiarów z jednego wejścia urządzenia archiwizującego.

Polecenia służące do wykonywania operacji na punktach pomiarowych znajdują się w menu Punkt:

• Nowy punkt - polecenie służy do utworzenia nowego punktu pomiarowego;

• Edytuj punkt - umożliwia edycję istniejącego punktu;

• Usuń punkt - usuwa punkt z planu rejestracji.


Zarejestrowana seria pomiarowa

4.5. Zarejestrowana seria pomiarowa

Dane zarejestrowanych serii pomiarowych można wyświetlić przy pomocy obiektu Serie, zdefiniowanego na liście baz danych w oknie głównym programu AsLogger.

Rysunek. Okno główne AsLogger - wyświetlenie danych zarejestrowanych serii pomiarowych.

Polecenia służące do wykonywania operacji na seriach znajdują się w menu Serie okna głównego programu AsLogger:

• Uruchom program do analizy serii - AsTrend - służy do wyświetlenie wykresu wybranej serii pomiarowej w programie AsTrend;

• Utwórz archiwum dla planu - utworzenie archiwum dla danych planu (danych rejestrowanych serii pomiarowych) w bazie danych serii pomiarowych (patrz: 5.3. Utworzenie archiwum planu rejestracji serii pomiarowych);

• Usuń archiwum i wszystkie serie - powoduje usunięcie wszystkich serii zarejestrowanych według danego planu serii. Wykonanie tej operacji ponownie umożliwia edycję planu i jego punktów pomiarowych.

Edycja planu jest zablokowana, gdy plan ma archiwum.

Gdy plan ma archiwum, istnieje możliwość edycji niektórych opcji punktu.


Rejestracja serii pomiarowych

5. Rejestracja serii pomiarowych

Dane serii pomiarowych pobierane są z urządzenia rejestrującego, wstępnie przetwarzane i zapisywane w bazie danych SQL.

Rejestracja wykonywana jest bezpośrednio przez program AsLogger, który następnie umożliwia przeglądanie danych zarejestrowanych serii przy wykorzystaniu programu AsTrend.

AsLogger obsługuje:

1. pobieranie danych z serwera OPC, co pozwala obsłużyć dowolne urządzenie spełniające wymogi otwartych standardów wymiany danych;

2. rejestratory sprzętowe MUPASZ 2001G, MUPASZ 07, MUPASZ710 oraz urządzenia rodziny MultiMuz poprzez drajwery systemu Asix (drajwer MupaszRtu do wymiany danych z urządzeniami Mupasz 2001G, Mupasz 07; drajwery Mupasz710_RS/MupaszRtu_TCPIP do wymiany danych z urządzeniami Mupasz 710; drajwery Multimuz/Multimuz_TCPIP/Multimuz3/Multimuz3_TCPIP do wymiany danych z urządzeniami rodziny Multimuz);

3. symulator karty z wejściami analogowymi, który umożliwia zaznajomienie się z funkcjami programu bez przyłączania urządzenia rejestrującego.

Ad. 1

Pierwszy i drugi z wymienionych przypadków wymaga:

  • skonfigurowania w programie AsLogger połączenia z serwerem MSSQL;

  • zdefiniowania baz danych, w których przechowywane będą dane zarejestrowanych serii pomiarowych;

  • utworzenia planu rejestracji - w tym wybrania nazwy urządzenia rejestrującego;

  • zdefiniowania punktów pomiarowych.

Ad. 3

W sytuacji, kiedy rejestracja serii pomiarowych wykonywana jest przez wybrane drajwery systemu Asix, obiekty niezbędne do zarejestrowania i przechowywania danych serii tworzone są wówczas przez drajwery, a parametryzacji drajwerów należy dokonać przy użyciu programu Architekt.

Rozpoczęcie rejestracji serii pomiarowej następuje po wykonaniu polecenia Wykonaj plan z menu Plan.


Konfiguracja połączenia z serwerem MSSQL

5.1. Konfiguracja połączenia z serwerem MSSQL

W celu skonfigurowania połączenia programu AsLogger z serwerem MSSQL:

1. Wybierz z menu Menedżer polecenie Wybierz serwer MSQL

Rysunek 2. Okno wyboru serwera MSSQL i nadawania praw dostępu do baz danych serii pomiarowych.

2. W oknie 'AsLogger - Menedżer' wybierz Serwer MSSQL zaznaczając jedną z dwóch dostępnych opcji:

· Lokalny podstawowy serwer MSQL - wybranie tej opcji oznacza, że program podłączony zostanie do serwera pracującego na komputerze lokalnym;

· Ten serwer MSQL - pole umożliwia określenie nazwy serwera, pracującego na innym komputerze lub nazwy instancji i nazwy komputera;

3. Zatwierdź wybór przyciskiem OK.

Aby mieć pełny dostęp do bazy AsLoggera, należy posiadać konto administratora na komputerze serwera SQL lub posiadać konto zwykłego użytkownika, któremu administrator serwera SQL przydzielił pełne prawa dla baz danych serii pomiarowych.


Utworzenie bazy danych rejestrowanych serii pomiarowych

5.2. Utworzenie bazy danych rejestrowanych serii pomiarowych

W celu utworzenia bazy danych programu AsLogger na serwerze MSSQL:

1. Wybierz z menu Baza serii polecenie Nowa baza.

2. Podaj nazwę bazy serii pomiarowych.

3. Zatwierdź wybór przyciskiem OK.


Utworzenie archiwum planu rejestracji

5.3. Utworzenie archiwum planu rejestracji serii pomiarowych

Archiwa planów tworzone są automatycznie przez drajwery przy pierwszej rejestracji serii.

Jeśli natomiast serie pomiarowe tworzone są przy pomocy skryptów - patrz: rozdział 7. Dostęp do danych programu AsLogger poprzez skrypty (wyłącznie dla aplikacji tworzonych w technologii Evo) - to konieczne jest ręczne utworzenie archiwum poleceniem Utwórz archiwum dla planu z menu Serie.


Parametryzacja planu rejestracji dla serwera OPC

5.4. Parametryzacja planu rejestracji dla serwera OPC

W celu utworzenia planu rejestracji dla serwera OPC:

1. Kliknij na bazę danych AsLoggera, dla której będzie tworzony plan.

2. Wybierz z menu Plan polecenie Nowy plan.

3. Zaznacz pole przy urządzeniu Serwer OPC danych bieżących w oknie 'Wybierz nazwę urządzenia'.

4. Zdefiniuj pola w oknie parametryzacji (tworzenia nowego lub edycji istniejącego) planu rejestracji dla serwera OPC, które umożliwia zdefiniowanie: nazwy serii, nazwy serwera OPC, z którego będą pobierane dane, opisu serii oraz okresu próbkowania. Nazwa serwera OPC może być też wybrana z listy rozwijanej.

5. Zatwierdź zmiany przyciskiem OK.

Rysunek. Okno parametryzacji planu rejestracji dla drajwera OPC.

Drajwer 'Klient OPC DA' zapewnia szybkość rejestracji dostępną w źródle danych (serwerze OPC) z uwzględnieniem możliwej szybkości łącza transmisyjnego do PC, na którym zainstalowany jest AsLogger Serwer (szybkość rejestracji jest znacznie wyższa od 1 µs).


Parametryzacja planu rejestracji dla symulatora

5.5. Parametryzacja planu rejestracji dla symulatora

W celu utworzenia planu rejestracji dla symulatora karty z wejściami analogowymi:

1. Kliknij na bazę danych AsLoggera, dla której będzie tworzony plan.

2. Wybierz z menu Plan polecenie Nowy plan.

3. Zdefiniuj pola w oknie parametryzacji (tworzenia nowego lub edycji istniejącego) planu rejestracji dla symulatora karty: nazwę serii, komentarz do planu, okres próbkowania oraz adres karty.

4. Zatwierdź zmiany przyciskiem OK.

Rysunek. Okno parametryzacji planu rejestracji dla symulatora karty z wejściami analogowymi.


Parametryzacja punktów pomiarowych dla planu serwera OPC

5.6. Parametryzacja punktów pomiarowych dla planu serwera OPC

Parametryzując punkty pomiarowe dla dla serwera OPC, należy określić: adres serwera OPC, nazwę, opis, typ pomiaru, jednostkę oraz zakres dolny i górny.

Rysunek. Okno parametryzacji punktu pomiarowego dla planu serwera OPC.


Parametryzacja punktów pomiarowych dla symulatora karty z wejściami analogowymi

5.7. Parametryzacja punktów pomiarowych dla symulatora karty z wejściami analogowymi

Okno dialogowe parametryzacji punktów pomiarowych dla symulatora karty z wejściami analogowymi obejmuje definiowanie: nazwy i opisu punktu, typu pomiaru, adresu, jednostki i zakresu górnego/dolnego punktu.

Rysunek. Okno parametryzacji punktu pomiarowego dla symulatora karty z wejściami analogowymi.


Parametryzacja rejestracji z użyciem drajwerów systemu Asix

5.8. Parametryzacja rejestracji z użyciem drajwerów systemu Asix

W sytuacji, kiedy rejestracja serii pomiarowych wykonywana jest przez wybrane drajwery systemu Asix, obiekty niezbędne do zarejestrowania i przechowywania danych serii tworzone są wówczas przez drajwery, a parametryzacji drajwerów należy dokonać przy użyciu programu Architekt.

Drajwer MupaszRtu służy do wymiany danych z urządzeniami Mupasz 2001G, Mupasz 07; drajwery Mupasz710_RS/MupaszRtu_TCPIP do wymiany danych z urządzeniami Mupasz 710; drajwery Multimuz/Multimuz_TCPIP/Multimuz3/Multimuz3_TCPIP do wymiany danych z urządzeniami rodziny Multimuz.

Parametryzacja drajwera wymaga ustawienia opcji Rejestracja zakłóceń w bazie AsLogger - dostępnej na zakładkach służących do parametryzacji drajwerów w oknie programu Architekt - szczegóły na temat parametryzacji drajwerów znajdują sie w plikach DrajweryKomunikacyjne (PDF/CHM). Aktywowanie rejestracji zakłóceń w bazie AsLogger wymaga zadeklarowania nazwy serwera i nazwy bazy AsLoggera. Plany i punkty zostaną utworzone przez drajwer. Podłączenie AsLoggera do serwera bazy automatycznie załaduje utworzone plany i punkty pomiarowe.


Przeglądanie serii pomiarowych

6. Przeglądanie serii pomiarowych

Po zarejestrowaniu seria pomiarowa może być analizowana w programie AsTrend.

Aby wyświetlić dane serii pomiarowej w programie AsTrend, należy zaznaczyć w oknie AsLoggera rekord wybranej serii i uruchomić menu kontekstowe prawym przyciskiem myszy. Wybranie w menu polecenia Uruchom program do analizy serii - AsTrend spowoduje uruchomienie programu AsTrend.

Polecenie ładowania programu AsTrend jednocześnie otwiera w AsTrend okno wyboru przebiegu AsLogger.

Okno wyboru przebiegu AsLogger można również wywołać bezpośrednio z programu AsTrend. Służy do tego polecenie AsLogger z zakładki Narzędzia główne okna głównego programu AsTrend > Nowy przebieg, wywołującego okno 'Połącz z serwerem danych modułu AsLogger’.

Szczegóły dotyczące obsługi programu AsTrend znajdują się w podręczniku AsTrend (PDF/CHM).

Rysunek. AsTrend - okno wyboru przebiegu AsLogger.

Rysunek. AsTrend - przeglądanie danych serii pomiarowych AsLogger.


Dostęp do danych programu AsLogger poprzez skrypty

7. Dostęp do danych programu AsLogger poprzez skrypty

Aplikacje tworzone w wersji Evo systemu Asix mają możliwość dostępu poprzez skrypty do danych serii pomiarowych zarejestrowanych w bazie programu AsLogger.

Dostęp do danych zarchiwizowanych w bazie danych modułu AsLogger umożliwia obiekt klasy AsloggerAccess. Rozwiązanie to daje również możliwość zapisu nowych serii. Dostęp do obiektu AsloggerAccess uzyskuje się za pośrednictwem właściwości Aslogger interfejsu IApplication.

Tworzenie nowych serii pomiarowych umożliwia obiekt klasy AsloggerSeries. Obiekty tej klasy tworzone są za pomocą metody CreateSeries klasy AsloggerAccess.

Szczegóły na temat tworzenia skryptów dostepu do danych serii AsLogger znajdują się w podręczniku Asix.Evo (PDF/CHM), rozdziale Skrypty.